%define version 0.16.0
%define release kk1
%define tidatadir /opt/%{name}
%define debug_package %{nil}
Summary: TI99/4A 16-bit computer emulator
Name: ti99sim
Version: %{version}
Release: %{release}
License: GPLv2
Group: Applications/Emulators
Source: https://www.mrousseau.org/programs/ti99sim/archives/%{name}-%{version}.src.tar.xz
Patch0: ti99sim-kk-mods.patch
Packager: Kalevi Kolttonen <kalevi@kolttonen.fi>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: SDL-devel >= 1.2.15 gcc-c++ >= 8.2
BuildRequires: make boost-devel >= 1.66.0
BuildRequires: openssl-devel >= 1.1.0
Requires: SDL >= 1.2.15 openssl-libs >= 1.1.0 boost >= 1.66.0

%description
ti99sim is Texas Instruments 99/4A 16-bit computer emulator. 
It was written by Marc Rousseau. This emulator does not ship with 
TI99/4A system ROMs. You must install ti99sim-system-roms RPM 
to make ti99sim to work, or you can manually copy the required 
system ROMs into directory /opt/ti99sim/roms.

%prep
%autosetup -p1

%build
make

%install
make DATA_DIR=%{buildroot}%{tidatadir} SYS_BIN=%{buildroot}%{tidatadir}/bin install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{tidatadir}/bin/catalog
%{tidatadir}/bin/convert-ctg
%{tidatadir}/bin/decode
%{tidatadir}/bin/disk
%{tidatadir}/bin/dumpcpu
%{tidatadir}/bin/dumpgrom
%{tidatadir}/bin/dumpspch
%{tidatadir}/bin/list
%{tidatadir}/bin/mkcart
%{tidatadir}/bin/mkspch
%{tidatadir}/bin/say
%{tidatadir}/bin/ti99sim-console
%{tidatadir}/bin/ti99sim-sdl

%changelog
* Mon Mar 24 2025 Kalevi Kolttonen <kalevi@kolttonen.fi>
- v0.16.0 for Fedora Linux 41
* Fri Jan 04 2019 Kalevi Kolttonen <kalevi@kolttonen.fi>
- Initial RPM for Fedora Linux 28
